<?php
/*
* スケジュールプラグイン
* カテゴリ管理モデル
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Schedule Plugin Project
* @since        ver.0.9.0
*/

/**
* Include files
*/
App::uses('ScheduleApp', 'Schedule.Model');

/**
* カテゴリモデル
*
* @package baser.plugins.schedule
*/
class ScheduleCategory extends ScheduleApp {
  /**
  * クラス名
  *
  * @var string
  * @access public
  */
  public $name = 'ScheduleCategory';

  /**
  * プラグイン名
  *
  * @var string
  * @access public
  */
  public $plugin = 'Schedule';

  /**
  * DB接続時の設定
  *
  * @var string
  * @access public
  */
  public $useDbConfig = 'plugin';

  /**
  * アソシエーション
  *
  * @var string
  * @access public
  */
  public $hasOne = array(
        'Schedule' => array(
            'className'    => 'Schedule.Schedule'
        )
    );


  /**
  * validate
  *
  * @var array
  */
  public $validate = array(
    'title' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => 'タイトルを入力してください。'
    ))
  );

}
