<?php $this->BcBaser->css(array('Schedule.schedule'), array('inline' => true)); ?>

<?php
/**
*
* カレンダーの生成処理
*
**/
//ヘッダー部分の曜日表示
$days = array('日', '月', '火', '水', '木', '金', '土');
//本日を取得（20120512）
$today = date('Ymd');
//1行ごとの順番（1〜7）と、月全体の順番（1〜31（最大））
$num_row = 1;
$num_day = 1;
//月の始まる曜日から、前月の空白分を取得
$num_blank = date('w', mktime(0, 0, 0, $month, 1, $year));
//月の合計日
$total = $month == 2 ? ($year % 4 ? 28 : ($year % 100 ? 29 : ($year % 400 ? 28 : 29))) : (($month - 1) % 7 % 2 ? 30 : 31);
//何週目かのフラグ。
$weekNo = 1; //trの閉じタグで増加する。

//カレンダーのヘッダー部分
$calendar = '<table class="holidayAdminCalendar">';
$calendar .= '<thead><tr>';

while ($num_row <= count($days)) {
    //曜日クラスを付与する。
    if ($num_row == 1) {
      $classDay = ' class="sunday"';
    } elseif ($num_row == 7) {
      $classDay = ' class="satday"';
    } else {
      $classDay = '';
    }
    $calendar .= '<th'.$classDay.'>'.$days[$num_row-1].'</th>';
    $num_row++;
}
$calendar .= '</tr></thead>';

//カレンダーの本体部分
$calendar .= '<tbody><tr>';
$num_row = 1;

//前月の空白分のセルを生成
while ($num_blank > 0) {
    $label = '';
    $label = ($num_row == 1) ? $label.' sun' : $label;
    $calendar .= '<td class="'.$label.'"></td>';
    $num_blank--;
    $num_row++;
}

//１日ずつ繰り返し処理開始
//1日〜31日（最大）までのセルを生成
while ($num_day <= $total) {
    //「$label」は要素のクラス名
    $label = '';
    $content = $num_day; //日付（もし投稿がある日なら以後の処理内で上書きする）

    //イベントの配列を走査するためのキーとして、「20120512」の形式で文字列を生成
    $key = $year.sprintf('%02d', $month).sprintf('%02d', $num_day);

    //左端なら日曜日、右端なら土曜日のためのラベル（クラス）を付加
    $label = ($num_row == 1) ? $label.' sun' : $label;
    $label = ($num_row == 7) ? $label.' sat' : $label;
    //本日の場合もクラスを付加
    $label = ($key == $today) ? $label.' today' : $label;

    $calendar .= '<td class="'.$label.'">';

    //休日の設定がなされているかどうか。
    //編集画面では既存のチェックを調べる。
    if ($this->request->action == "admin_edit" && !empty($checkHoliday)) {
      if (!empty($checkHoliday[$num_day])) {
        $calendar .= $num_day.'<br><input type="checkbox" name="data[ScheduleHoliday][holiday][]" value="'.$num_day.'" checked="checked">';
      } else {
        $calendar .= $num_day.'<br><input type="checkbox" name="data[ScheduleHoliday][holiday][]" value="'.$num_day.'">';
      }

    //新規作成画面では、基本設定を調べる。
  } elseif ($this->request->action == "admin_step2" && !empty($weekHoliday)) {
      if (!empty($weekHoliday['week'.$weekNo][$num_row])) { //週番号と曜日番号で判定する。
        $calendar .= $num_day.'<br><input type="checkbox" name="data[ScheduleHoliday][holiday][]" value="'.$num_day.'" checked="checked">';
      } else {
        $calendar .= $num_day.'<br><input type="checkbox" name="data[ScheduleHoliday][holiday][]" value="'.$num_day.'">';
      }
    //それ以外
    } else {
      $calendar .= $num_day.'<br><input type="checkbox" name="data[ScheduleHoliday][holiday][]" value="'.$num_day.'">';
    }

    $calendar .= '</td>';
    $num_day++;
    $num_row++;

    //1行の終わり（7日目）ごとに、新しい行を開始
    if ($num_row > 7) {
        $calendar .= '</tr><tr>';
        $num_row = 1;
        $weekNo++;
    }
}

//月の最終日以降の空白分のセルを生成
while ($num_row > 1 && $num_row <= 7) {
    $label = '';
    $label = ($num_row == 7) ? $label.' sat' : $label;
    $calendar .= '<td class="'.$label.'"></td>';
    $num_row++;
}
//カレンダーの終了
$calendar .= '</tr></tbody></table>';
?>

<?php if ($this->request->action == 'admin_edit') : ?>
<?php echo $this->BcForm->create('ScheduleHoliday') ?>
<?php else: ?>
  <?php echo $this->BcForm->create('ScheduleHoliday', array('enctype' => 'multipart/form-data', 'url' => array('plugin' => 'schedule', 'controller' => 'schedule_holiday_configs', 'action' => 'step3'))) ?>
<?php endif;?>

<h2 style="margin-top:40px;"><?php echo $year ?>年<?php echo $month ?>月の休日設定</h2>
<p>
  休みにしたい日にチェックを入れてください。
</p>
<?php echo $calendar; ?>
<!-- button -->
<?php echo $this->BcForm->input('ScheduleHoliday.year', array('type' => 'hidden', 'value' => $year)) ?>
<?php echo $this->BcForm->input('ScheduleHoliday.month', array('type' => 'hidden', 'value' => $month)) ?>
<?php if ($this->request->action == 'admin_edit') : ?>
  <?php echo $this->BcForm->input('ScheduleHoliday.id', array('type' => 'hidden', 'value' => $id)) ?>
<?php endif ?>
<div class="submit">
  <?php echo $this->BcForm->submit('作成する', array('div' => false, 'class' => 'button', 'id' => 'BtnSave')) ?>
</div>
<?php echo $this->BcForm->end() ?>
