// ページ読み込み完了時に実行する関数
function init() {

	// 初期位置
	var firstPosition = new google.maps.LatLng(latPosition, lonPosition);

	// マップ表示
	var okayamap = new google.maps.Map(document.getElementById("map"), {
		center: firstPosition,
		zoom:10,
		mapTypeId: google.maps.MapTypeId.ROADMAP
	});

	// ドラッグできるマーカーを表示
	var marker = new google.maps.Marker({
		position: firstPosition,
		title: "場所",
		draggable: true	// ドラッグ可能にする
	});
	marker.setMap(okayamap)	;

	// マーカーのドロップ（ドラッグ終了）時のイベント
	google.maps.event.addListener( marker, 'dragend', function(ev){
		// イベントの引数evの、プロパティ.latLngが緯度経度。
		document.getElementById('latitude').value = ev.latLng.lat();
		document.getElementById('longitude').value = ev.latLng.lng();
	});
}

// ONLOADイベントにセット
window.onload = init();
